> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Compliance grid

> One page of the compliance grid: every active property against every obligation, worst first, with % compliant and per-column counts over the whole filtered set



## OpenAPI

````yaml /openapi.json get /compliance/grid
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /compliance/grid:
    get:
      tags:
        - compliance
      summary: Compliance grid
      description: >-
        One page of the compliance grid: every active property against every
        obligation, worst first, with % compliant and per-column counts over the
        whole filtered set
      operationId: compliance.complianceGrid
      parameters:
        - name: q
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: town
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: landlord
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: page
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: pageSize
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceGridPage'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/DocumentDetailsInvalidError'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    ComplianceGridPage:
      type: object
      properties:
        today:
          type: string
        dataAsOf:
          type: string
        items:
          type: array
          items:
            type: object
            properties:
              propertyId:
                type: string
              address:
                anyOf:
                  - type: string
                  - type: 'null'
              postcode:
                anyOf:
                  - type: string
                  - type: 'null'
              town:
                anyOf:
                  - type: string
                  - type: 'null'
              landlordContactId:
                anyOf:
                  - type: string
                  - type: 'null'
              landlord:
                anyOf:
                  - type: string
                  - type: 'null'
              standing:
                type: string
                enum:
                  - compliant
                  - not_compliant
                  - unknown
                  - no_obligations
              cells:
                type: object
                properties:
                  facts:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  gas_safety:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  eicr:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  epc:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  smoke_co:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  licence:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  legionella:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  pat:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  prs_database:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                  epc_band_c:
                    type: object
                    properties:
                      state:
                        type: string
                        enum:
                          - compliant
                          - attention
                          - breach
                          - not_required
                          - unknown
                      label:
                        type: string
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                      expiresOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                      documentId:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - state
                      - label
                      - status
                      - expiresOn
                      - documentId
                    additionalProperties: false
                required:
                  - facts
                  - gas_safety
                  - eicr
                  - epc
                  - smoke_co
                  - licence
                  - legionella
                  - pat
                  - prs_database
                  - epc_band_c
                additionalProperties: false
            required:
              - propertyId
              - address
              - postcode
              - town
              - landlordContactId
              - landlord
              - standing
              - cells
            additionalProperties: false
        total:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        page:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        pageSize:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        summary:
          type: object
          properties:
            properties:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            withObligations:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            compliant:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            notCompliant:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            unknown:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            percentCompliant:
              anyOf:
                - anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                - type: 'null'
            columns:
              type: object
              properties:
                facts:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                gas_safety:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                eicr:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                epc:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                smoke_co:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                licence:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                legionella:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                pat:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                prs_database:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
                epc_band_c:
                  type: object
                  properties:
                    compliant:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    attention:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    breach:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    not_required:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    unknown:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                  required:
                    - compliant
                    - attention
                    - breach
                    - not_required
                    - unknown
                  additionalProperties: false
              required:
                - facts
                - gas_safety
                - eicr
                - epc
                - smoke_co
                - licence
                - legionella
                - pat
                - prs_database
                - epc_band_c
              additionalProperties: false
          required:
            - properties
            - withObligations
            - compliant
            - notCompliant
            - unknown
            - percentCompliant
            - columns
          additionalProperties: false
        towns:
          type: array
          items:
            type: string
        landlords:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - id
              - name
            additionalProperties: false
      required:
        - today
        - dataAsOf
        - items
        - total
        - page
        - pageSize
        - summary
        - towns
        - landlords
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    DocumentDetailsInvalidError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - DocumentDetailsInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.